﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class SignUp : System.Web.UI.Page
{
  string accountConfirmationKey = string.Empty;

  protected void CreateUserWizard1_CreatedUser(object sender, EventArgs e)
  {
    ProfileCommon userProfile = ProfileCommon.Create(CreateUserWizard1.UserName) as ProfileCommon;
    accountConfirmationKey = Guid.NewGuid().ToString();
    userProfile.AccountConfirmationKey = accountConfirmationKey;
    userProfile.Save();
  }

  protected void CreateUserWizard1_SendingMail(object sender, MailMessageEventArgs e)
  {
    string confirmLink = string.Format("{0}://{1}/Confirm.aspx?ConfirmationKey={2}&UserName={3}", Request.Url.Scheme, Request.Url.Authority, accountConfirmationKey, CreateUserWizard1.UserName);
    e.Message.Body = e.Message.Body.Replace("##ConfirmLink##", confirmLink);
  }
}