﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Confirm : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
    string userName = Request.QueryString.Get("UserName");
    string accountKey = Request.QueryString.Get("ConfirmationKey");

    var profile = ProfileCommon.Create(userName) as ProfileCommon;

    if (accountKey == profile.AccountConfirmationKey)
    {
      var user = Membership.GetUser(userName);
      user.IsApproved = true;
      Membership.UpdateUser(user);
      Status.Text = "Account confirmed successfully.";
    }
    else
    {
      Status.Text = "Something went wrong while confirming your account.";
    }
  }
}